Debian Bug report logs - #182433
Please remove slang1-ja

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 25 Feb 2003 12:48:03 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#182433; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: slang1-ja -- no description
Date: Tue, 25 Feb 2003 23:38:29 +1100
Package: wnpp
Severity: normal

The current maintainer of slang1-ja, Kikutani Makoto <kikutani@debian.org>,
has retired from the project.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: slang1-ja
Binary: slang1-ja-dev, slang1-ja
Version: 1.4.2-2
Priority: optional
Section: libs
Maintainer: Kikutani Makoto <kikutani@debian.org>
Architecture: any
Standards-Version: 3.0.1
Format: 1.0
Directory: pool/main/s/slang1-ja
Files: 79942cea55137669fd226759aa9dee7c 596 slang1-ja_1.4.2-2.dsc
 6f4ab27685f2e67c19bd292a8429b8f2 732248 slang1-ja_1.4.2.orig.tar.gz
 804010b26105ccd8f58340b22fdb18b7 37565 slang1-ja_1.4.2-2.diff.gz

Package: slang1-ja
Priority: optional
Section: libs
Installed-Size: 424
Maintainer: Kikutani Makoto <kikutani@debian.org>
Architecture: i386
Version: 1.4.2-2
Depends: libc6 (>= 2.1.2)
Filename: pool/main/s/slang1-ja/slang1-ja_1.4.2-2_i386.deb
Size: 180530
MD5sum: 9ec28b08301081255b57a961f484e68f
Description: The S-Lang programming library with Japanese patch, runtime version.
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 This package contains only the shared library libslang-ja.so.* and copyright
 information. It is only necessary for programs that use this library (such
 as jed and slrn). If you plan on doing development with S-Lang, you will
 need the companion -dev package as well.

Package: slang1-ja-dev
Priority: optional
Section: devel
Installed-Size: 1348
Maintainer: Kikutani Makoto <kikutani@debian.org>
Architecture: i386
Source: slang1-ja
Version: 1.4.2-2
Depends: slang1-ja (= 1.4.2-2), libc6-dev
Filename: pool/main/s/slang1-ja/slang1-ja-dev_1.4.2-2_i386.deb
Size: 716816
MD5sum: 2de5110c9a0ba46b082fd15b23706f4f
Description: The S-Lang programming library with Japanese patch, development version.
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 The S-Lang library includes the following:
  *   Low level tty input routines for reading single characters at a time.
  *   Keymap routines for defining keys and manipulating multiple keymaps.
  *   A high-level keyprocessing interface (SLkp) for
       handling function and arrow keys.
  *   High level screen management routines for manipulating both
       monochrome and color terminals. These routines are very
       efficient. (SLsmg)
  *   Low level terminal-independent routines for manipulating the display
       of a terminal. (SLtt)
  *   Routines for reading single line input with line editing and recall
       capabilities. (SLrline)
  *   Searching functions: both ordinary searches and regular expression
       searches. (SLsearch)
  *   An embedded stack-based language interpreter with a C-like syntax.


-- 
Martin Michlmayr
tbm@cyrius.com



Bug closed, send any further explanations to Martin Michlmayr <tbm@cyrius.com> Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#182433; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #16 received at 182433@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: debian-devel@lists.debian.org, 182433@bugs.debian.org
Subject: Re: -ja variants of slang, jed and slrn
Date: Wed, 26 Feb 2003 04:06:19 -0500
[Message part 1 (text/plain, inline)]
Martin Michlmayr wrote:
> I've just orphaned slrn-ja (#182435), jed-ja (#182434) and slang1-ja
> (#182433).  Can some japanese folks or the maintainers of the regular
> packages of these tools check if the -ja variants are still needed?
> If not, reassign the bug to ftp.debian.org and retitle it to "Please
> remove".  If yes, why hasn't japanese support been integrated in the
> main packages yet?

For slrn, it has not been integrated because it is a huge, gross patch.
I attach some old correspondence about it. It's also likely quite out of
date; I notice slrn-ja is at 0.9.6.2-1 to slrn's 0.9.7.4-29. In 0.9.7.2,
slrn got fully localized the right way via gettext, although that does
not address everything needed for proper Japanese support.

BTW, a fully utf-8 capable slrn is slated for release "as soon as slang
2.0 is out".

-- 
see shy jo
[slrnmail (text/plain, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#182433; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #21 received at 182433@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: control@bugs.debian.org
Cc: 182434@bugs.debian.org, 182435@bugs.debian.org, 182433@bugs.debian.org
Subject: -ja stuff
Date: Thu, 17 Jun 2004 00:05:57 +0100
reassign 182434 ftp.debian.org
retitle 182434 Please remove jed-ja

reassign 182435 ftp.debian.org
retitle 182435 Please remove slrn-ja

reassign 182433 ftp.debian.org
retitle 182433 Please remove slang1-ja

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#182433; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #26 received at 182433@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 182434@bugs.debian.org, 182435@bugs.debian.org, 182433@bugs.debian.org
Subject: [kmuto@debian.org: Re: Removing -japanese version of jed, slang and slrn]
Date: Thu, 17 Jun 2004 00:06:16 +0100
----- Forwarded message from Kenshi Muto <kmuto@debian.org> -----

From: Kenshi Muto <kmuto@debian.org>
Subject: Re: Removing -japanese version of jed, slang and slrn
Date: Mon, 14 Jun 2004 10:07:42 +0900
To: Martin Michlmayr <tbm@cyrius.com>
Cc: debian-japanese@lists.debian.org, debian-qa@lists.debian.org
User-Agent: Wanderlust/2.11.24 (Wonderwall) SEMI/1.14.6 (Maruoka) FLIM/1.14.6 (Marutamachi) APEL/10.6 MULE XEmacs/21.4 (patch 15) (Security Through Obscurity) (i386-debian-linux)

Hi,

At Mon, 14 Jun 2004 01:16:35 +0100,
Martin Michlmayr wrote:
> There are 3 forks of popular packages in the archive with a special
> -qa version: jed-ja, slang1-ja and slrn-ja.  Unfortunately, these were
> orphaned 1 year and 100 days ago, and still they have not been
> adopted.  This means that they are out of date with regards to the
> proper version:
> 
>   jed-ja 0.99.10.jp0-3.3 (jed: 0.99.16-3.2)
>   slang1-ja 1.4.2-2.2 (slang1: 1.4.9-2)
>   slrn-ja 0.9.6.2-2 (slrn: 0.9.8.0-12)
> 
> I doubt that these -ja patches will get merged upstream anytime soon
> unless someone actually does something; also, in some cases, other
> programs handle Japanese just fine (slrn -> tin).
> 
> My basic question is: what shall we do with these -ja packages?  After

Some monthes ago (Feb 2004), Fumitoshi Ukai asked Japanese developpers about this
issue, but no one seems stand.

I don't use jed-ja, slang1-ja, and slrn-ja... and I believe almost Japanese
people don't use them also.

Currently I use slang1a-utf8 as slang library, and haven't a serious problem.

My opinion is "you can remove them".

If these packages are needed by someone in the future, he/she will be
able to get them from snapshot.debian.net or somewhere :-)

Thanks,
-- 
Kenshi Muto
kmuto@debian.org

----- End forwarded message -----

-- 
Martin Michlmayr
tbm@cyrius.com



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#182433; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #35 received at 182433@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 182434@bugs.debian.org, 182435@bugs.debian.org, 182433@bugs.debian.org
Subject: [knok@daionet.gr.jp: Re: Removing -japanese version of jed, slang and slrn]
Date: Thu, 17 Jun 2004 00:06:22 +0100
----- Forwarded message from knok@daionet.gr.jp -----

From: knok@daionet.gr.jp
Subject: Re: Removing -japanese version of jed, slang and slrn
Date: Mon, 14 Jun 2004 10:18:11 +0900
To: Martin Michlmayr <tbm@cyrius.com>, kmuto@debian.org,
	debian-japanese@lists.debian.org, debian-qa@lists.debian.org
User-Agent: Wanderlust/2.10.1 (Watching The Wheels) SEMI/1.14.6 (Maruoka) FLIM/1.14.6 (Marutamachi) APEL/10.6 Emacs/21.3 (i386-pc-linux-gnu) MULE/5.0 (SAKAKI)

At Mon, 14 Jun 2004 02:26:05 +0200,
Frank Lichtenheld wrote:
> > about this?  Is anyone concerned about this and working on a solution?
> 
> At least no-one (other than QA people convincing me not to remove them
> then) answered to my similar question one or two months ago...

In the past, there were archived in Debian JP. It has an historical
reason why it is in the official Debian archives.

I think there are no people need them, so removing is a good decision.
-- 
NOKUBI Takatsugu
E-mail: knok@daionet.gr.jp
	knok@namazu.org / knok@debian.org

----- End forwarded message -----

-- 
Martin Michlmayr
tbm@cyrius.com



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 182433-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 182433-close@bugs.debian.org
Subject: Bug#182433: fixed
Date: Wed, 23 Jun 2004 19:42:34 -0400
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 jed-canna | 0.99.10.jp0-3.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
jed-common-ja | 0.99.10.jp0-3.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
    jed-ja | 0.99.10.jp0-3.3 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
 slang1-ja |  1.4.2-2.2 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
slang1-ja-dev |  1.4.2-2.2 | alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
   slrn-ja |  0.9.6.2-2 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
xjed-canna | 0.99.10.jp0-3.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
   xjed-ja | 0.99.10.jp0-3.3 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 182433@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
James Troup (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:01:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.